package com.ss.android.ugc.aweme.launcher.service.crashsdk;

import android.app.Application;
import android.content.Context;
import com.bytedance.covode.number.Covode;

public interface ICrashSdkApi {
    static {
        Covode.recordClassIndex(90076);
    }

    Application.ActivityLifecycleCallbacks LIZ();

    void LIZ(Context context);

    void LIZ(Throwable th, String str);

    boolean LIZ(long j);

    void LIZIZ();

    void LIZJ();

    void LIZLLL();
}
